Download it now!
Bug 50714 - PDFs exported by LibreOffice cannot be converted by ps2ascii
Summary: PDFs exported by LibreOffice cannot be converted by ps2ascii
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Printing and PDF export (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86-64 (AMD64) Linux (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pdf
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2012-06-05 01:50 UTC by bugzilla
Modified: 2019-05-14 02:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2012-06-05 01:50:47 UTC
I don't know if this is a bug in LibreOffice or GhostScript:
I used to use OpenOffice 2 and when I exported PDFs, their text could be extracted by using ps2ascii. I upgraded to LibreOffice 3.5.4 and now ps2ascii stopped working. When I create a text document containing "test with text" and run ps2ascii on the exported PDF, I get:
   **** Warning: Encoding not present.

   **** This file had errors that were repaired or ignored.
   **** The file was produced by: 
   **** >>>> LibreOffice 3.5 <<<<
   **** Please notify the author of the software that produced this
   **** file that it does not conform to Adobe's published PDF
   **** specification.



\Delta \Theta \Lambda \Xi \Pi \Sigma \Upsilon \Xi \Pi \Xi \Theta \Phi \Xi

GPL GhostScript 8.57
Comment 1 bfoman (inactive) 2013-01-09 09:43:28 UTC
Is this still an issue in the latest stable release of LO and GS? If yes, please add a comment and attach problematic PDF to allow others to check on different
system/build.
Comment 2 QA Administrators 2013-09-24 01:54:43 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2013-10-25 15:13:26 UTC Comment hidden (obsolete)
Comment 4 Urmas 2013-10-25 18:55:16 UTC
Bugs do not get fixed by itself.
Comment 5 bfoman (inactive) 2013-10-26 06:21:12 UTC
(In reply to comment #4)
> Bugs do not get fixed by itself.

So you can confirm that it is still an issue or reopened this just for fun?
Comment 6 Joel Madero 2014-11-06 17:50:56 UTC
Never confirmed - moving to UNCONFIRMED so QA looks at it. Thanks
Comment 7 A (Andy) 2014-11-06 22:41:49 UTC
I don't have the possibility to test it with ps2ascii.  Can anybody reproduce and confirm, that this is still prevailing?
Comment 8 Robinson Tryon (qubit) 2014-11-11 07:08:19 UTC
CONFIRMED on LibreOffice 4.4.0.0.alpha2 + Ubuntu 14.04
(with ps2ascii v9.10)

(In reply to bugzilla from comment #0)
> When I create a text document containing "test
> with text" and run ps2ascii on the exported PDF, 
>
> I get:
>    **** Warning: Encoding not present.

Here's what I get:

-----
qubit@lo:~/libreoffice/bugs/50714$ ps2ascii test-odt-file.pdf 



\Delta \Theta \Lambda \Xi \Pi \Sigma \Upsilon \Xi \Phi \Pi \Xi \Theta \Psi \Xi 
-----

The same thing happens if we export it with the more limited/archival-oriented PDF/A-1a file format.
Comment 9 Robinson Tryon (qubit) 2014-11-11 07:29:00 UTC
(In reply to bugzilla from comment #0)
> I used to use OpenOffice 2 and when I exported PDFs, their text could be
> extracted by using ps2ascii.

I don't have OOo 2, but I do have OOo 3.3.0 m20 installed. When I tried to export the PDF using these older versions, none of them had any better success than the previous tests. Oops.

So it's unclear to me if this is a regression, or just an enhancement.
Comment 10 QA Administrators 2015-12-20 16:06:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)
   https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 

4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-12-20
Comment 11 QA Administrators 2019-05-14 02:54:45 UTC
Dear bugzilla,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug